%global gem_name rails_tokeninput

Name: rubygem-%{gem_name}
Version: 1.6.1.rc1
Release: 1.4%{?dist}
Summary: Jquery Tokeninput automated install for Rails 3.1+
Group: Development/Languages
License: MIT
URL: https://github.com/logical42/rails_tokeninput
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: ruby(release)
Requires: ruby(rubygems) 
Requires: rubygem(railties) >= 3.1.0
BuildRequires: ruby(release)
BuildRequires: rubygems-devel 
BuildRequires: ruby 
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
Gem installation of jquery tokeninput scripts and stylesheets


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

rm -f %{buildroot}%{gem_instdir}/.gitignore
find %{buildroot}%{gem_instdir} -type f -name .DS_Store -print | xargs rm -f




%files
%dir %{gem_instdir}
%{gem_libdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile
%{gem_instdir}/vendor
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/%{gem_name}.gemspec

%changelog
* Sun May 11 2014 Oleg Girko <ol@infoserver.lv> - 1.6.1.rc1
- Update to 1.6.1.rc1
* Mon Sep 23 2013 Oleg Girko <ol@infoserver.lv> - 1.6.0
- Rebuild for https://fedoraproject.org/wiki/Features/Ruby_2.0.0
* Fri Jun 14 2013 Oleg Girko <ol@infoserver.lv> - 1.6.0-1
- Initial package
